package hiro.yoshioka.sql.twitter;

import java.io.Serializable;

import twitter4j.auth.AccessToken;

public class WolfAccessToken implements Serializable {
	private static final long serialVersionUID = -1498410636592012376L;
	private String screenName;
	private long userId;
	private String token;
	private String tokenSecret;

	public WolfAccessToken() {
		super();
	}

	public WolfAccessToken(AccessToken accessToken) {
		setToken(accessToken.getToken());
		setTokenSecret(accessToken.getTokenSecret());
		setScreenName(accessToken.getScreenName());
		setUserId(accessToken.getUserId());
	}

	public String getScreenName() {
		return screenName;
	}

	public void setScreenName(String screenName) {
		this.screenName = screenName;
	}

	public long getUserId() {
		return userId;
	}

	public void setUserId(long userId) {
		this.userId = userId;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getTokenSecret() {
		return tokenSecret;
	}

	public void setTokenSecret(String tokenSecret) {
		this.tokenSecret = tokenSecret;
	}

}
